Package org.drinkless.tdlib

# Class TdApi.VideoChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.VideoChat

Enclosing class:
  `TdApi`

public static class TdApi.VideoChat extends TdApi.Object
Describes a video chat, i.e. a group call bound to a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageSender`
  `defaultParticipantId`
  Default group call participant identifier to join the video chat; may be null.
  `int`
  `groupCallId`
  Group call identifier of an active video chat; 0 if none.
  `boolean`
  `hasParticipants`
  True, if the video chat has participants.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VideoChat()`
  Describes a video chat, i.e.
  `VideoChat(int groupCallId, boolean hasParticipants, TdApi.MessageSender defaultParticipantId)`
  Describes a video chat, i.e.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier of an active video chat; 0 if none. Full information about the video chat can be received through the method getGroupCall.

  - ### hasParticipants

    public boolean hasParticipants
    True, if the video chat has participants.

  - ### defaultParticipantId

    @Nullable public TdApi.MessageSender defaultParticipantId
    Default group call participant identifier to join the video chat; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VideoChat

    public VideoChat()
    Describes a video chat, i.e. a group call bound to a chat.

  - ### VideoChat

    public VideoChat(int groupCallId, boolean hasParticipants, TdApi.MessageSender defaultParticipantId)
    Describes a video chat, i.e. a group call bound to a chat.
    Parameters:
      `groupCallId` - Group call identifier of an active video chat; 0 if none. Full information about the video chat can be received through the method getGroupCall.
      `hasParticipants` - True, if the video chat has participants.
      `defaultParticipantId` - Default group call participant identifier to join the video chat; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR